Skip to content
Back to top
View this page
Edit this page

# Linux

class serialx.platforms.serial_linux.LinuxSerial

  Bases: `ExtendedPosixSerial`

  Linux serial port implementation.

  __init__(*args, low_latency=True, **kwargs)

    Initialize Linux serial port.

    Parameters:

      - args (Any)

      - low_latency (bool)

      - kwargs (Any)

    Return type:

      None

class serialx.platforms.serial_linux.LinuxSerialTransport

  Bases: `ExtendedPosixSerialTransport`

  Linux serial port transport using asyncio.

serialx.platforms.serial_linux.linux_list_serial_ports()

  List serial ports on Linux.

  Return type:

    list[SerialPortInfo]